m4_define(`listen', ``
	listen 80;
	server_name $1;'')
m4_define(`listen_ssl', ``
	listen 443 ssl;
	server_name $2;
	ssl_certificate /etc/letsencrypt/live/$1/fullchain.pem;
	ssl_certificate_key /etc/letsencrypt/live/$1/privkey.pem;
	ssl_trusted_certificate /etc/letsencrypt/live/$1/fullchain.pem;'')
m4_define(`redirect', ``
	return 302 $1;'')
m4_define(`redirect_perm', ``
	return 301 $1;'')
m4_define(`https_redirect', `
	listen($1)
	redirect(https://$1$request_uri)')
m4_define(`wsproxy', ``
	location /$2 {
		proxy_pass $1;
		proxy_set_header Upgrade $http_upgrade;
		proxy_set_header Connection "upgrade";
		proxy_set_header X-Real-IP $remote_addr;
	}'')
m4_define(`proxy', ``
	location /$2 {
		proxy_pass $1;
		proxy_set_header X-Real-IP $remote_addr;
	}'')
m4_define(`serve', ``
	autoindex on;
	root /var/www/$1/$2/public;'')

m4_include(`main.m4')
